# Currencied - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.payments.abstracts / Currencied

# Currencied

(common) `interface Currencied` (source)

### Properties

(common)

#### currency

`abstract val currency: Currency`

### Inheritors

(common)

#### Invoice

`data class Invoice : Amounted, Currencied`

(common)

#### PreCheckoutQuery

`data class PreCheckoutQuery : Currencied, Amounted`

(common)

#### SendInvoice

`data class SendInvoice : Currencied, Priced, ChatRequest, DisableNotification, ReplyMessageId, ReplyMarkup, SendMessageRequest<ContentMessage<InvoiceContent>>`

(common)

#### SuccessfulPayment

`data class SuccessfulPayment : Amounted, Currencied`